LibreOffice: PDFDialog Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
PDFDialog Service Reference

This service is for a PDFDialog. More...

`import <PDFDialog.idl;`

Inheritance diagram for PDFDialog:

## Included Services
service | com::sun::star::ui::dialogs::FilterOptionsDialog

## Exported Interfaces
interface | ::com::sun::star::ui::dialogs::XAsynchronousExecutableDialog
| PDFDialog options can be set as sequence of com.sun.star.beans.PropertyValue at the FilterData property of the MediaDescriptor.
Exported Interfaces inherited from FilterOptionsDialog
interface | com::sun::star::beans::XPropertyAccess
| this interface is used to set the property values of the com::sun::star::document::MediaDescriptor before executing the dialog and to retrieve the changed com::sun::star::document::MediaDescriptor
interface | ::com::sun::star::ui::dialogs::XExecutableDialog
| this interface executes a dialog that displays the options for a filter.

## Additional Inherited Members
Public Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.
Public Member Functions inherited from XAsynchronousExecutableDialog
void | setDialogTitle ([in] string aTitle)
| Sets the title of the dialog.
void | startExecuteModal ([in] XDialogClosedListener xListener)
| Executes (shows) the dialog and returns immediately.

## Detailed Description

This service is for a PDFDialog.

## Exported Interfaces

## ◆ com::sun::star::ui::dialogs::FilterOptionsDialog

service com::sun::star::ui::dialogs::FilterOptionsDialog

## Exported Interfaces

## ◆ ::com::sun::star::ui::dialogs::XAsynchronousExecutableDialog

interface ::com::sun::star::ui::dialogs::XAsynchronousExecutableDialog

PDFDialog options can be set as sequence of com.sun.star.beans.PropertyValue at the FilterData property of the MediaDescriptor.

The PropertyValues which are supported within the sequence are described in the registry at Office.Common/Filter/PDF/Export

The source of this registry can be found in following file: "officecfg/registry/schema/org/openoffice/Office/Common.xcs"

The documentation for this service was generated from the following file:

- com/sun/star/document/PDFDialog.idl